<html>
<head>
<title>Ogre::GLESPBRTTManager::PBRef Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLESPBRTTManager.html">GLESPBRTTManager</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1GLESPBRTTManager_1_1PBRef.html">PBRef</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLESPBRTTManager::PBRef Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLESPBRTTManager::PBRef" -->
<p>Reference to a PBuffer, with refcount.  
 <a href="structOgre_1_1GLESPBRTTManager_1_1PBRef.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGLESPBRenderTexture_8h_source.html">OgreGLESPBRenderTexture.h</a>&gt;</code></p>

<p><a href="structOgre_1_1GLESPBRTTManager_1_1PBRef-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLESPBRTTManager_1_1PBRef.html#a65ebbddc7e10f93130233e58c20c5c2e">PBRef</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLESPBuffer.html">GLESPBuffer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLESPBRTTManager_1_1PBRef.html#a7ea7570d35badb0549a633b0e9438c7f">pb</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLESPBRTTManager_1_1PBRef.html#a43897ebbad5d4d8a60043d0826055c0c">refcount</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Reference to a PBuffer, with refcount. </p>

<p>Definition at line <a class="el" href="OgreGLESPBRenderTexture_8h_source.html#l00096">96</a> of file <a class="el" href="OgreGLESPBRenderTexture_8h_source.html">OgreGLESPBRenderTexture.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a65ebbddc7e10f93130233e58c20c5c2e"></a><!-- doxytag: member="Ogre::GLESPBRTTManager::PBRef::PBRef" ref="a65ebbddc7e10f93130233e58c20c5c2e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLESPBRTTManager_1_1PBRef.html#a65ebbddc7e10f93130233e58c20c5c2e">Ogre::GLESPBRTTManager::PBRef::PBRef</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESPBRenderTexture_8h_source.html#l00098">98</a> of file <a class="el" href="OgreGLESPBRenderTexture_8h_source.html">OgreGLESPBRenderTexture.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a7ea7570d35badb0549a633b0e9438c7f"></a><!-- doxytag: member="Ogre::GLESPBRTTManager::PBRef::pb" ref="a7ea7570d35badb0549a633b0e9438c7f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESPBuffer.html">GLESPBuffer</a>* <a class="el" href="structOgre_1_1GLESPBRTTManager_1_1PBRef.html#a7ea7570d35badb0549a633b0e9438c7f">Ogre::GLESPBRTTManager::PBRef::pb</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESPBRenderTexture_8h_source.html#l00099">99</a> of file <a class="el" href="OgreGLESPBRenderTexture_8h_source.html">OgreGLESPBRenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="a43897ebbad5d4d8a60043d0826055c0c"></a><!-- doxytag: member="Ogre::GLESPBRTTManager::PBRef::refcount" ref="a43897ebbad5d4d8a60043d0826055c0c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1GLESPBRTTManager_1_1PBRef.html#a43897ebbad5d4d8a60043d0826055c0c">Ogre::GLESPBRTTManager::PBRef::refcount</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESPBRenderTexture_8h_source.html#l00100">100</a> of file <a class="el" href="OgreGLESPBRenderTexture_8h_source.html">OgreGLESPBRenderTexture.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreGLESPBRenderTexture_8h_source.html">OgreGLESPBRenderTexture.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:25
</p>
</body>
</html>
